Module | Numeric::Multipliers
In: | lib/supplemental/facets/multipliers.rb

# Numeric::Multipliers

Adds methods to Numeric to make working with magnitudes (kilo, mega, giga, milli, micro, etc.)

      1.kilo               #=> 1000
      1.milli              #=> 0.001
      1.kibi               #=> 1024

To display a value in a certain denomination, simply perform the inverse operation by placing the multiplier called on unit (1) in the denominator.

      (1000 / 1.kilo)        #=> 1
      (1024 / 1.kibi)        #=> 1

Thanks to Rich Kilmer and bytes.rb which inspired this library.

### Methods

atto centi deci deka exa exbi femto gibi giga hecto kibi kilo mebi mega micro milli nano pebi peta pico tebi tera

### Public Instance methods

atto()
centi()
deci()

SI Fractional

deka()

SI Multipliers

exa()
exbi()
femto()
gibi()
giga()
hecto()
kibi()

SI Binary

kilo()
mebi()
mega()
micro()
milli()
nano()
pebi()
peta()
pico()
tebi()
tera()

[Validate]